# QFrame Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QFrame(QWidget parent, WindowFlags f)

### Constructor Properties

- prototype: The QFrame prototype object
- Shape_Mask = 0x000f
- Shadow_Mask = 0x00f0
- StyleMask( value )
- NoFrame = 0
- Box = 0x0001
- Panel = 0x0002
- WinPanel = 0x0003
- HLine = 0x0004
- VLine = 0x0005
- StyledPanel = 0x0006
- Shape( value )
- Plain = 0x0010
- Raised = 0x0020
- Sunken = 0x0030
- Shadow( value )

### Prototype Object Properties

The QFrame prototype object inherits properties from the QWidget prototype object and also has the following properties.

- int frameStyle()
- void setFrameStyle(int arg__1)
- QSize sizeHint()

### Instance Properties

QFrame objects inherit properties from the QFrame prototype object and also have the following properties.

- frameShape
- frameShadow
- lineWidth
- midLineWidth
- frameWidth
- frameRect